GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Learn::EvaluationResult Class Reference

Base class for storing all result of a policy evaluation within a LearningEnvironment. More...

`#include <evaluationResult.h>`

Inheritance diagram for Learn::EvaluationResult:

## Public Member Functions
| EvaluationResult ()=delete
| Deleted default constructor.
virtual | ~EvaluationResult ()=default
| Virtual destructor for polymorphism.
| EvaluationResult (const double &res, const size_t &nbEval, const double &uti=std::nan(""))
| Construct a result from a simple double value.
virtual double | getResult () const
| Virtual method to get the default double equivalent of the reward of the EvaluationResult.
virtual double | getUtility () const
| Virtual method to get the default double equivalent of the utility of the EvaluationResult.
virtual size_t | getNbEvaluation () const
| Virtual method to get the default number of evaluation of the EvaluationResult.
virtual EvaluationResult & | operator+= (const EvaluationResult &other)
| Polymorphic addition assignement operator for EvaluationResult.

## Protected Attributes
double | result
| Double value for the result.
double | utility
size_t | nbEvaluation
| Number of evaluation leading to this result.

## Detailed Description

Base class for storing all result of a policy evaluation within a LearningEnvironment.

To enable generic learning with the default LearningAgent, all policy evaluation must be convertible to a simple double value. For more complex LearningAgent behavior, like for classification purposes, specific child class can be created.

## Constructor & Destructor Documentation

## ◆ EvaluationResult()

Learn::EvaluationResult::EvaluationResult | ( | const double & | res,
|  | const size_t & | nbEval,
|  | const double & | uti = std::nan("") )
| inline

Construct a result from a simple double value.

Parameters

  [in] | res | the double value representing the result of an evaluation.
  [in] | nbEval | Integer value representing the number of evaluation leading to the recorded score.
  [in] | uti | the double value representing the utility of an evaluation.

## Member Function Documentation

## ◆ getResult()

double Learn::EvaluationResult::getResult | ( |  | ) | const
| virtual

Virtual method to get the default double equivalent of the reward of the EvaluationResult.

Copyright or © or Copr. IETR/INSA - Rennes (2019 - 2025) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2019 - 2020) Quentin Vacher qvach.nosp@m.er@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2025)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

Reimplemented in Learn::AdversarialEvaluationResult.

## ◆ operator+=()

Learn::EvaluationResult & Learn::EvaluationResult::operator+= | ( | const EvaluationResult & | other | ) |
| virtual

Polymorphic addition assignement operator for EvaluationResult.

Exceptions

  std::runtime_error | in case the other EvaluationResult and this have a different typeid.

Reimplemented in Learn::AdversarialEvaluationResult, and Learn::ClassificationEvaluationResult.

## Member Data Documentation

## ◆ utility

double Learn::EvaluationResult::utility
| protected

Double value for the utility. Utility is used only if the LearningEnvironment override the specific method. The utility represent a score needed for logs but not for learning.

It can be used for comparison with different results rules for example.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/learn/evaluationResult.h
- D:/a/gegelati/gegelati/gegelatilib/src/learn/evaluationResult.cpp